#include <sys/ioctl.h>

#include "setup.h"
#include "videostatus.h"
#include "setup.h"
#include "i18n.h"

#include "symbols/test/ar16943.xpm"
#include "symbols/test/ar169na.xpm"
#include "symbols/test/ar169ps.xpm"
#include "symbols/test/ar169vc.xpm"
#include "symbols/test/ar43169ps.xpm"
#include "symbols/test/ar43169vc.xpm"
#include "symbols/test/ar432211ps.xpm"
#include "symbols/test/ar432211psvc.xpm"
#include "symbols/test/ar432211vc.xpm"
#include "symbols/test/ar43na.xpm"

extern int fd_video;
#define DEV_DVB_VIDEO     "/dev/dvb/adapter%d/video%d"

cVideoStatus VideoStatus;

cBitmap cVideoStatus::bmar16943(ar16943_xpm);
cBitmap cVideoStatus::bmar169na(ar169na_xpm);
cBitmap cVideoStatus::bmar169ps(ar169ps_xpm);
cBitmap cVideoStatus::bmar169vc(ar169vc_xpm);
cBitmap cVideoStatus::bmar43169ps(ar43169ps_xpm);
cBitmap cVideoStatus::bmar43169vc(ar43169vc_xpm);
cBitmap cVideoStatus::bmar432211ps(ar432211ps_xpm);
cBitmap cVideoStatus::bmar432211psvc(ar432211psvc_xpm);
cBitmap cVideoStatus::bmar432211vc(ar432211vc_xpm);
cBitmap cVideoStatus::bmar43na(ar43na_xpm);

cVideoStatus::cVideoStatus(void) {
#ifdef DEBUG
    isyslog("skinelchi: cVideoStatus::cVideoStatus() is called");
#endif
    VideoStatusUpdate = new cVideoStatusUpdate;
    }

cVideoStatus::~cVideoStatus() {
#ifdef DEBUG
    isyslog("skinelchi: cVideoStatus::~cVideoStatus() is called");
#endif
    VideoStatusUpdate->Pid++;
    }

cVideoStatusUpdate::cVideoStatusUpdate(void) {
#ifdef DEBUG
    isyslog("skinelchi: cVideoStatusUpdate::cVideoStatusUpdate()");
#endif
    Start();
}

cVideoStatusUpdate::~cVideoStatusUpdate() {
#ifdef DEBUG
    isyslog("skinelchi: cVideoStatusUpdate::~cVideoStatusUpdate()");
#endif
    Pid++;
}


void cVideoStatusUpdate::Action(void) {
    pid = Pid = (int)getpid();
#ifdef DEBUG
    isyslog("skinelchi: cVideoStatusUpdate::Action() - pid=%d", pid);
#endif
/*    while (Pid == pid) {
	int handle = fd_video;
	int getvssize = 0;
	if (handle >= 0) {
	    while (Pid == pid && getvssize == 0 && handle == fd_video) {
		getvssize = ioctl(handle, VIDEO_GET_SIZE, &vs);
		if (getvssize == 0) {
		    char *testchar;
		    asprintf(&testchar, "%d*%d %d", vs.w, vs.h, vs.aspect_ratio);
//		    isyslog("skinelchi: cVideoStatusUpdate %s", testchar);
//for tests    		    if (Skins.IsOpen())
//for tests			Skins.Message(mtInfo, testchar);
		    free(testchar);
		    cCondWait::SleepMs(5000);
		    }
		else { 
		    isyslog("skinelchi: cVideoStatusUpdate - Error (pid=%d)", getvssize);
		    cCondWait::SleepMs(5000);
		    }
		}
	    }
	cCondWait::SleepMs(5000);
	}*/
#ifdef DEBUG
    isyslog("skinelchi: cVideoStatusUpdate - thread end (pid=%d)", pid);
#endif
}
